- Qt 6.9
- Qt Serial Bus
- C++ Classes
- QModbusExceptionResponse
- Qt 6.9.2 Reference Documentation

# QModbusExceptionResponse Class

QModbusExceptionResponse is a container class containing the function and error code inside a Modbus ADU. More...

Header: | `#include <QModbusExceptionResponse>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS SerialBus)` `target_link_libraries(mytarget PRIVATE Qt6::SerialBus)`
qmake: | `QT += serialbus`
Inherits: | QModbusResponse

- List of all members, including inherited members

## Public Functions

| QModbusExceptionResponse()
| QModbusExceptionResponse(const QModbusPdu &pdu)
| QModbusExceptionResponse(QModbusPdu::FunctionCode code, QModbusPdu::ExceptionCode ec)
void | setExceptionCode(QModbusPdu::ExceptionCode ec)

## Reimplemented Public Functions

virtual void | setFunctionCode(QModbusPdu::FunctionCode c) override

## Detailed Description

A typical QModbusExceptionResponse response can looks like this:

     QModbusExceptionResponse exception(QModbusExceptionResponse::ReportServerId,
         QModbusExceptionResponse::ServerDeviceFailure);

## Member Function Documentation

### `[constexpr noexcept]` QModbusExceptionResponse::QModbusExceptionResponse()

Constructs an invalid QModbusExceptionResponse.

### QModbusExceptionResponse::QModbusExceptionResponse(const QModbusPdu &pdu)

Constructs a copy of pdu.

### QModbusExceptionResponse::QModbusExceptionResponse(QModbusPdu::FunctionCode code, QModbusPdu::ExceptionCode ec)

Constructs a QModbusExceptionResponse with function code set to code and exception error code set to ec.

### void QModbusExceptionResponse::setExceptionCode(QModbusPdu::ExceptionCode ec)

Sets the response's exception code to ec.

### `[override virtual]` void QModbusExceptionResponse::setFunctionCode(QModbusPdu::FunctionCode c)

Reimplements: QModbusPdu::setFunctionCode(QModbusPdu::FunctionCode code).

Sets the response's function code to c.